%define pear_name HTML_Common2

Name:		php-pear-%{pear_name}
Version: 	2.0.0beta1
Release: 	1.ru
Summary: 	Abstract base class for HTML classes (PHP5 port of HTML_Common package).
Group:		Development/Libraries
License:	PHP License
URL:		http://pear.php.net/package/HTML_Common2
Source:		%{pear_name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch:	noarch
BuildRequires:	php-pear >= 1.4.0
Requires: 	php >= 5.1.4, php-pear >= 1.4.0


%description
The HTML_Common2 package provides methods for HTML code display and attributes handling.
* Provides methods to set, remove, merge HTML attributes.
* Handles global document options (charset, linebreak and indentation characters).
* Provides methods to handle indentation and HTML comments (useful in subclasses).


%prep
%setup -q -c

mv package.xml %{pear_name}-%{version}/%{pear_name}.xml


%build
# Nothing to do here


%install
rm -rf %{buildroot}

pushd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{pear_name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

# Install XML package description
%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 HTML_Common2.xml %{buildroot}%{pear_xmldir}

popd


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root)
%{pear_phpdir}/HTML/*
%{pear_testdir}/%{pear_name}
%{pear_xmldir}/%{pear_name}.xml


%changelog
* Tue Jul 22 2008 Brian Schubert <schubert@nbcs.rutgers.edu> - 2.0.0beta1-1
- Initial Rutgers build.
